## pybliographer 1.2.16

=== debian/changelog ===
pybliographer (1.2.16-1) unstable; urgency=medium

  * New upstream release. (Closes: #652069)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 27 Apr 2014 01:03:51 -0400

pybliographer (1.2.14-3) unstable; urgency=high

  * Remove code involving $PYTHONPATH from scripts, since it adds an
    "extras" directory that no longer seems to exist.  (Closes: #605153)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 29 Nov 2010 20:24:24 -0600

pybliographer (1.2.14-2) unstable; urgency=low

  * Include missing build dependencies.  (Closes: #600878)
    Thanks to Roy Jamison from Ubuntu for the patch.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 20 Oct 2010 20:31:45 -0500

pybliographer (1.2.14-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 15 Oct 2010 20:56:58 -0500

pybliographer (1.2.12-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: (Closes: #570574)
    - Build-Depend on python instead of python-dev << 2.6 so we can build with
      Python 2.6. python-dev isn't required.
    - Change XS-Python-Version from deprecated "current" to >= 2.2

 -- Stefano Rivera <stefano@rivera.za.net>  Sun, 30 May 2010 20:57:57 +0200

pybliographer (1.2.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix improper handling of alternatives.  (Closes: #544209)

 -- Jakub Wilk <ubanus@users.sf.net>  Wed, 18 Nov 2009 23:29:31 +0100

pybliographer (1.2.12-3) unstable; urgency=low

  * Fix pybliographic translations due to automake transition.  Thanks to
    Gert Kulyk for the patch.  (Closes: #542027)
  * Remove "pybtex is currently broken" text from man page, since it is
    working since 1.2.12-1.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 17 Aug 2009 15:04:20 -0500

pybliographer (1.2.12-2) unstable; urgency=low

  * Support alternatives for pybtex.  (Closes: #540529)
  * Add manual pages written by Nis Martensen.  (Closes: #125637)
  + Thanks to Jakub Wilk and Nicolas Van Wambeke for the diffs.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 16 Aug 2009 23:33:21 -0500

pybliographer (1.2.12-1) unstable; urgency=low

  * New upstream release.
  + Includes fix for pybtex.  (Closes: #412085)
  * Add MIME information.  (Closes: #494669)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 01 Aug 2009 03:39:29 -0500

pybliographer (1.2.11-1) unstable; urgency=low

  * New upstream release.  (Closes: #413888)
  * Compatible with Python 2.5.  (Closes: #477018)
  * Update debian/watch.  (Closes: #449732)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 27 Jul 2008 23:57:37 -0500

pybliographer (1.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 20 Aug 2006 22:31:20 -0500

pybliographer (1.2.8-2) unstable; urgency=low

  * Require python-bibtex >= 1.2.2-3; this allows pybliographer to work with
    Python 2.3 or 2.4.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 Jun 2006 02:03:40 -0400

pybliographer (1.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 23 Jan 2006 23:19:35 -0500

pybliographer (1.2.7-1) unstable; urgency=low

  * New upstream release.  (Closes: #348989)
  * Update dependencies for new upstream requirements (python-bibtex 1.2.2,
    PyGTK 2.4+).

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 20 Jan 2006 17:36:02 -0500

pybliographer (1.2.6.2-1) unstable; urgency=medium

  * New upstream release.  (Closes: #214838, #295707)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 20 Mar 2005 12:42:04 -0600

pybliographer (1.2.6.1-1) unstable; urgency=low

  * New upstream release.  (Closes: #294545)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 16 Feb 2005 09:27:37 -0600

pybliographer (1.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 30 Jan 2005 06:48:17 -0600

pybliographer (1.2.5-2) unstable; urgency=low

  * Remove /usr/share/applications/mimeinfo.cache.  (Closes: #289844)
  
 -- Chris Lawrence <lawrencc@debian.org>  Tue, 11 Jan 2005 11:40:36 -0600

pybliographer (1.2.5-1) unstable; urgency=low

  * New upstream release.
    + Argument parsing fixed.  (Closes: #275518)
    + Uses Gtk 2.4 dialogs when available.  (Closes: #277065)
  * Move menu entry to Apps/Science.  (Closes: #271010)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 26 Nov 2004 02:46:20 -0600

pybliographer (1.2.4-1) unstable; urgency=low

  * New upstream release.  (Closes: #263894)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  6 Aug 2004 17:34:34 -0400

pybliographer (1.2.3-2) unstable; urgency=low

  * Add presubj file for reportbug documenting a few common problems.
    (Closes: #228203)
  * Recommend Yelp, since it is needed to view the documentation.
    (Closes: #236124)
  * Sorting problems appear to have been fixed in 1.2.2.  (Closes: #221926)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 Jul 2004 18:20:20 -0500

pybliographer (1.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 11 Mar 2004 12:50:43 -0600

pybliographer (1.2.2-6) unstable; urgency=low

  * Use dh_scrollkeeper instead of manually handling the scrollkeeper
    stuff.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 10 Feb 2004 19:13:22 -0600

pybliographer (1.2.2-5) unstable; urgency=low

  * Don't fail on startup when no locale is set; instead, default to
    ISO-8859-1.  (Closes: #231859)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  9 Feb 2004 09:27:55 -0600

pybliographer (1.2.2-4) unstable; urgency=low

  * Add dependency on scrollkeeper (>= 0.3.14-5).

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  8 Feb 2004 18:32:26 -0600

pybliographer (1.2.2-3) unstable; urgency=low

  * Fix startup of pybformat; thanks to Tom Parker for the patch.
    (Closes: #229183)
  * Run scrollkeeper-update in postinst.
  * Drop doc-base file completely.  (Closes: #229581)
  * Solve various scrollkeeper issues.  (Closes: #231733, #231734)

