=== debian/control ===
Source: pybliographer
Section: gnome
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python (>= 2.6.6-3~), python-bibtex (>= 1.2.2-3), python-gnome2, python-glade2, gettext, dh-python, gnome-doc-utils, pkg-config, rarian-compat
X-Python-Version: >= 2.2
Homepage: http://www.pybliographer.org/

Package: pybliographer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gnome2, python-glade2, python-bibtex (>= 1.2.5-1)
Conflicts: python-gtk2 (<< 2.4)
Recommends: yelp (>> 2.6.0)
Description: tool for manipulating bibliographic databases
 It currently supports BibTeX, Medline, Ovid and Refer files. It is useful
 for viewing, editing and searching, but also to convert bibliographic
 databases into HTML pages for example.
 .
 Yelp (part of GNOME) is required to view the Pybliographic manual
 from within the GUI.
