=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/pybliographer/pyblio-(\d.*)\.tar\.xz
